‘Apple Webkit Font Glyph Layout Code Execution Vulnerability’

Summary

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple Safari’s Webkit.’

Credit:

‘The information has been provided by wushi.
The original article can be found at: http://www.zerodayinitiative.com/advisories/ZDI-11-099/


Details

Vulnerable Systems:
 * Apple Webkit

User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the way the application handles floating blocks in certain situations. When performing layout operations for a floating block produced by a pseudo-element, the application will attempt to access glyph data that hasn’t been fully assigned into the glyph data hashmap. Due to this type being incomplete, this can lead to code execution under the context of the application.

Patch Availability:
Apple has issued an update to correct this vulnerability. More details can be found at:
http://support.apple.com/kb/HT4554

CVE Information:
CVE-2011-0133

Disclosure Timeline:
2010-10-18 – Vulnerability reported to vendor
2011-03-02 – Coordinated public release of advisory’

Categories: News